<script>
    import Scatterplot from "./_ex_7_scatterplot.svelte";
    import {onMount} from "svelte";
    import {json} from "d3-fetch";

let datapoint = null;

    onMount(async () => {
        datapoint = await json('/data/gapminder.json');
        console.log(datapoint);
        
    })

</script>

  {#if datapoint == undefined}
        The data is being loaded...
    {:else}
        <Scatterplot data = {datapoint[0]}/>
    {/if}


 
